curl --request GET \
--url https://api.withorb.com/v1/events/backfills \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"timeframe_start": "2023-11-07T05:31:56Z",
"timeframe_end": "2023-11-07T05:31:56Z",
"events_ingested": 123,
"close_time": "2023-11-07T05:31:56Z",
"reverted_at": "2023-11-07T05:31:56Z",
"customer_id": "<string>",
"replace_existing_events": true,
"deprecation_filter": "my_numeric_property > 100 AND my_other_property = 'bar'"
}
],
"pagination_metadata": {
"has_more": true,
"next_cursor": "<string>"
}
}This endpoint returns a list of all backfills in a list format.
The list of backfills is ordered starting from the most recently created backfill. The response also includes
pagination_metadata, which lets the caller retrieve the next page of results if they
exist.
curl --request GET \
--url https://api.withorb.com/v1/events/backfills \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"timeframe_start": "2023-11-07T05:31:56Z",
"timeframe_end": "2023-11-07T05:31:56Z",
"events_ingested": 123,
"close_time": "2023-11-07T05:31:56Z",
"reverted_at": "2023-11-07T05:31:56Z",
"customer_id": "<string>",
"replace_existing_events": true,
"deprecation_filter": "my_numeric_property > 100 AND my_other_property = 'bar'"
}
],
"pagination_metadata": {
"has_more": true,
"next_cursor": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.withorb.com/llms.txt
Use this file to discover all available pages before exploring further.
API Keys can be issued in the Orb's web application.
The number of items to fetch. Defaults to 20.
1 <= x <= 100Cursor for pagination. This can be populated by the next_cursor value returned from the initial request.
Was this page helpful?